Name: astyle
Version: 1.15.3
Release: alt3

Summary: A small, fast automatic indentation filter for C/C++/Java code.
Copyright: GPL
Group: Development/Other

URL: http://%name.sourceforge.net/
Source: http://prdownloads.sourceforge.net/%name/%{name}-%{version}.tar.bz2

# Automatically added by buildreq on Wed Jan 15 2003
BuildRequires: gcc-c++ libstdc++-devel

%description
Artistic Style is a reindenter and reformatter of C++, C and Java source code.

When indenting source code, we as programmers have a tendency to use
both spaces and tab characters to create the wanted
indentation. Moreover, some editors by default insert spaces instead
of tabs when pressing the tab key. Since the NUMBER of space
characters showed on screen for each tab character in the source code
changes between editors (until the user sets up the number to his
liking...), one of the standard problems facing programmers when
moving from one source code editor to another is that code containing
both spaces and tabs that was up to now perfectly indented, suddently
becomes a mess to look at when changing to another editor.

Artistic Style solves this problem by providing a series of filters,
written in C++, that automatically reindent & reformat C/C++/Java
source files. These can be used from a command line, or it can be
incorporated as classes in another C++ program.

%prep
%setup -q 

%build
make CPPFLAGS="$RPM_OPT_FLAGS"

%install
install -p -m755 -D astyle $RPM_BUILD_ROOT%_bindir/%name

%files
%_bindir/*
%doc *.html

%changelog
* Wed Jan 15 2003 Stanislav Ievlev <inger@altlinux.ru> 1.15.3-alt3
- added buildreq

* Wed Sep 04 2002 Stanislav Ievlev <inger@altlinux.ru> 1.15.3-alt2
- rebuild with gcc3

* Fri Aug 02 2002 Stanislav Ievlev <inger@altlinux.ru> 1.15.3-alt1
- 1.15.3

* Thu Nov 29 2001 Stanislav Ievlev <inger@altlinux.ru> 1.14.1-alt1
- 1.14.1

* Mon Oct 16 2000 Dmitry V. Levin <ldv@fandra.org> 1.11.6-ipl1mdk
- 1.11.6

* Tue Sep 16 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
